       subroutine lifhb(en,r)
       implicit real*8 (a-h,o-z)
       dimension r(3)
       data auang,aucclm,vbase/.52917706d0,1.59359d-3,141.2d0/
       data ncount/0/
c
       if(ncount.gt.0)goto100
       ncount=1
       call prepot
100    continue
       rab=auang*r(3)
       rbc=auang*r(1)
       rac=auang*r(2)
       call potbo(rab,rbc,rac,v)
       en=(v+141.2d0)*aucclm
c      write(6,*)'in surf',rab,rbc ,rac,en
       return
       end
